org.omg.PortableInterceptor

## Interface ORBInitInfo

All Superinterfaces:
  IDLEntity, Object, ORBInitInfoOperations, Serializable

    public interface ORBInitInfo
    extends ORBInitInfoOperations, Object, IDLEntity

Passed to each `ORBInitializer`, allowing it to to register interceptors and perform other duties while the ORB is initializing.

The `ORBInitInfo` object is only valid during `ORB.init`. If a service keeps a reference to its `ORBInitInfo` object and tries to use it after `ORB.init` returns, the object no longer exists and an `OBJECT_NOT_EXIST` exception shall be thrown.

See Also:
  `ORBInitializer`

### Method Summary

### Methods inherited from interface org.omg.PortableInterceptor.ORBInitInfoOperations

`add_client_request_interceptor, add_ior_interceptor, add_server_request_interceptor, allocate_slot_id, arguments, codec_factory, orb_id, register_initial_reference, register_policy_factory, resolve_initial_references`

### Methods inherited from interface org.omg.CORBA.Object

`_create_request, _create_request, _duplicate, _get_domain_managers, _get_interface_def, _get_policy, _hash, _is_a, _is_equivalent, _non_existent, _release, _request, _set_policy_override`